



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>CSS的引用方式（引用外部样式表、内部样式表、内联样式表）</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">CSS的引用方式（引用外部样式表、内部样式表、内联样式表）</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-24 08:56:50 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>CSS引用外部样式表的优点：一般的浏览器都带有缓存功能，所以用户不用每次都下载此CSS文件，所以外部引用相对于内部引用和内联引用来说是是节省资源的。</p>
<p>CSS使用内部样式表、内联样式表的优点：可以直观的看到CSS代码，可以方便的修改并观察更改后的效果。</p>
<h2>一：引用外部样式表方式一，使用link标签引用CSS</h2>
<div>
<pre class="prettyprint linenums">&lt;head&gt;<br />
    &lt;link rel="stylesheet" type="text/css" href=http://www.yoursite.com/style.css /&gt;<br />
&lt;/head&gt;</pre>
</div>
<p>文件路径可以使用相对路径或者绝对路径。</p>
<h2>二：引用外部样式表方式二，使用@import引用CSS</h2>
<div>
<pre class="prettyprint linenums">&lt;head&gt;<br />
        &lt;style type="text/css"&gt;@import url(http://www.yoursite.com/style.css);&lt;/style&gt;<br />
&lt;/head&gt;</pre>
</div>
<p>文件路径可以使用相对路径或者绝对路径。</p>
<h2>三：内部样式表</h2>
<div>
<pre class="prettyprint linenums">&lt;style type="text/css"&gt;<br />
    li{list-style-type: none;}<br />
    a{text-decoration:none;}<br />
    .red{color:#f00;}<br />&lt;/style&gt;</pre>
</div>
<p>style标签正常情况应该放在head标签内部。</p>
<h2>四：内联样式表</h2>
<div>
<pre class="prettyprint linenums">&lt;p style="font-size: 10px; color: #FFFFFF;"&gt;<br />
        使用CSS内联引用表现段落.<br />
&lt;/p&gt;</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/5qx4o7j9.html">jQuery简单入门（五）</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqd6xjz8.html">Best practice&colon; escape&comma; or encodeURI &sol; encodeURIComponent</a>
		</li>
						<li><a href="https://www.batexi.com/a/93xy37n9.html">asp&period;net页面间传值的几种方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pjp0dd9.html">linux查看有哪些shell可用</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdedvjx9.html">button 禁止</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwd02mr8.html">activiti系列导读</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7mj3ykq.html">OC&lowbar;NSString</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4y62djq.html">Java实战之04JavaWeb-05事务和连接池</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1wmv39.html">JavaScript 中 关于 this 的学习笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zo1genq.html">&lbrack;Codecademy&rsqb; HTML&amp;amp&semi;CSS第八课：Design a Button for Your Webwite</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jzm2oe8.html">Android使用Home键后应用程序重启的问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jzn3r48.html">Windows下Python读取GRIB数据</a>
		</li>
						<li><a href="https://www.batexi.com/a/90m41yn8.html">杨晨露  Java 第一周总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jgzvw8.html">js两个叹号的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ojl41eq.html">Quartz格式设置说明</a>
		</li>
						<li><a href="https://www.batexi.com/a/8meor2pq.html">c&plus;&plus;11 强类型枚举 enum class</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwvd0nl8.html">matlab中如何用rand产生相同的随机数</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwvd71k8.html">MySQL计算年龄</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o13jp1q.html">基于Python&mdash;&mdash;实现两个文件夹中的文件拷贝</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2op7oq.html">二叉树的递归&comma;非递归遍历&lpar;java&rpar;</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9ppyd279.html">android设置横屏和竖屏的方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gp0elz9.html">Linux远程上传、下载文件的方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/ql12lge9.html">Singular value encountered in calculation for ROI</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zk2kon8.html">STL - 容器 - List</a>
			</li>
						<li><a href="https://www.batexi.com/a/9ppyp279.html">berkelydb学习</a>
			</li>
						<li><a href="https://www.batexi.com/a/963k5jn9.html">jquery插件开发通用框架</a>
			</li>
						<li><a href="https://www.batexi.com/a/qveojrj9.html">TouchID 指纹解锁</a>
			</li>
						<li><a href="https://www.batexi.com/a/8em732e9.html">springMVC &plus; hadoop &plus; httpclient 文件上传请求直接写入hdfs</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1vnwz6q.html">php开发中sql语句拼接示例（插入、查询、更新）</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rn3kpdq.html">servlet下根据相对路径找资源</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
